#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    int a[10000];
    cin >> n;
    for(int i = 0; i < n; ++i)
        cin >> a[i];
        if(n == 2){
            swap(a[0],a[n - 1]);
            for(int i = 0; i < n; ++i)
                cout << a[i] << " ";
        }
        else{
            swap(a[n - 1],a[n - 2]);
            for(int i = 0; i < n; ++i)
                cout << a[i] << " ";
        }
        return 0;
    }